% A code to distinguish between different types of astronomical images.
% James Bebbington 

% The following lines of code calculate specifics of the data; the mean 
% pixel value, the standard deviation of pixel value and the maximum pixel
% value. The program then cycles through the numbered images to check for
% their existence and then sets criteria to distinguish between bias,
% flat-field and science images. The output is every image file but with
% either a 'ff_','bf_' or 'sci_' preceding the initial image filename, 
% labelling it a flatfield, bias or science image respectively. 

clear all
clc;

%chosen_date = input('What date were your images taken on, in format eg. 13-Oct-2012. ','s');



for q = 1:2050
    Q = num2str(q);
    file = strcat('IMG',Q,'.FIT');
    A = exist(file,'file');
    if A == 2;
        info = fitsinfo(file);
        pixels = fitsread(file);
        
        devpix = std(pixels(:));
        maxpix = max(pixels(:));
        
            if devpix > 1000
                newfile = strcat('ff_',file);
                
                fitswrite2(pixels,newfile);
            elseif maxpix < 2000
                newfile = strcat('bf_',file);
                
                fitswrite2(pixels,newfile);
            else
                newfile = strcat('sci_',file);
                fitswrite2(pixels,newfile);
            end
        
    else
    end
    
end
 
        